precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float progress;

float getusepeo(){
    return sqrt(progress);
}
vec2 center=vec2(0.5);


void main() {
    vec2 texCoord=textureCoordinate-center;
//    texCoord*=(0.8+getusepeo()/5.0);

    float beishu=(1.20-getusepeo()/5.0);
    texCoord*=beishu;
    if(abs(texCoord.x)>=0.5||abs(texCoord.y)>=0.5){
        gl_FragColor=vec4(0.0);
    }else{
        vec2 pos=center+texCoord;
        vec4 color=texture2D(inputImageTexture, pos);
        if(color.a!=1.0){
            gl_FragColor=vec4(0.0);
            return;
        }

        /*float near=1.0/100.0*beishu;
        vec4 color1=texture2D(inputImageTexture, pos+vec2(-near,0.0));
        if(color1.a!=1.0){
            gl_FragColor=vec4(0.0);
            return;
        }
        color1=texture2D(inputImageTexture, pos+vec2(near,0.0));
        if(color1.a!=1.0){
            gl_FragColor=vec4(0.0);
            return;
        }
        color1=texture2D(inputImageTexture, pos+vec2(0.0,-near));
        if(color1.a!=1.0){
            gl_FragColor=vec4(0.0);
            return;
        }
        color1=texture2D(inputImageTexture, pos+vec2(0.0,near));
        if(color1.a!=1.0){
            gl_FragColor=vec4(0.0);
            return;
        }

*/
        gl_FragColor=color;
    }

}
